import { http } from '@/utils/http'

// 收货分类新增
export const getStockCardList = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/recategory/addReCategory',
    data,
  })
}

// 收货分类逻辑删除
export const deleteReceiveCategory = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/recategory/deleteCategory',
    data,
  })
}

// 收货根据分类id查询
export const selectReCyById = (data: any) => {
  return http({
    method: 'GET',
    url: '/api/recategory/selectReCyById',
    data,
  })
}

//收货分类分页查询
export const getPage = (data: any) => {
  return http({
    method: 'GET',
    url: '/api/recategory/getPage',
    data,
  })
}

// 收货分类查询所有
export const allReCategory = () => {
  return http({
    method: 'GET',
    url: '/api/recategory/allReCategory',
  })
}

// 收货分类修改信息
export const editReceiveCategory = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/recategory/edit',
    data,
  })
}

// 收货产品新增
export const addReProducts = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/reproducts/addReProducts',
    data,
  })
}

// 收货产品编辑
export const EditReceiveProduct = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/reproducts/edit',
    data,
  })
}

// 收货产品逻辑删除
export const deleteReceiveProduct = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/reproducts/deleteCategory',
    data,
  })
}

// 收货产品根据产品id查询
export const getReceiveProductById = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/reproducts/selectReCyById',
    data,
  })
}

// 收货产品分页查询
export const getReceiveProductListByPage = (data: any) => {
  return http({
    method: 'GET',
    url: '/api/reproducts/getPage',
    data,
  })
}

// 收货产品查询所有
export const getReceiveProductList = () => {
  return http({
    method: 'GET',
    url: '/api/reproducts/allReProducts',
  })
}

// 出货分类新增
export const addShmCategory = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/shmcategory/addShmCategory',
    data,
  })
}

// 出货分类树显示
export const getShipmentCategory = () => {
  return http({
    method: 'GET',
    url: '/api/shmcategory/getChinaList',
  })
}

// 出货分类根据id查询
export const getShipmentCategoryById = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/shmcategory/selectShCyById',
    data,
  })
}

// 出货分类根据id逻辑删除
export const deleteById = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/shmcategory/deleteShmCategory',
    data,
  })
}

// 出货分类根据id编辑
export const editShipmentCategory = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/shmcategory/edit',
    data,
  })
}

// 出货产品根据id查询
export const getShipmentProductById = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/shmproducts/selectRePsById',
    data,
  })
}

// 出货产品新增
export const addShipmentProduct = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/shmproducts/addShmProducts',
    data,
  })
}

// 出货产品分页查询
export const getShipmentProductByPage = (data: any) => {
  return http({
    method: 'GET',
    url: '/api/shmproducts/getPage',
    data,
  })
}

// 出货产品查询所有
export const getShipmentProductList = () => {
  return http({
    method: 'GET',
    url: '/api/shmproducts/allShmProducts',
  })
}
